﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace AutoScrollingLegend
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        DispatcherTimer timer = new DispatcherTimer();
        DateTime i = new DateTime();
        Random rand = new Random();
        public MainWindow()
        {
            InitializeComponent();
            timer.Start();
            timer.Interval = TimeSpan.FromMilliseconds(1000);
            timer.Tick += new EventHandler(timer_Tick);
        }

        private void timer_Tick(object sender, EventArgs e)
        {
            var itemsSource1 = (this.chart.Series[0].ItemsSource as ObservableCollection<Product>);
            var itemsSource2 = (this.chart.Series[1].ItemsSource as ObservableCollection<Product>);
          
            int index = itemsSource1.Count - 1;

            i = itemsSource1[index].Speed.AddMinutes(1);

            itemsSource1.Add(new Product() { Speed = i, Rate = rand.Next(110, 160) });
            itemsSource2.Add(new Product() { Speed = i, Rate = rand.Next(200, 250) });
        }

        private void XAxis_ActualRangeChanged(object sender, ActualRangeChangedEventArgs e)
        {
            if (e.IsScrolling)
                return;
            e.VisibleMinimum = (double)e.ActualMaximum - 100d;
        }
    }
}
